#include<stdio.h>

int main (){

    int num;
    int suma=0;
    float media;
    int contador=0;

    printf("\nSi el número que introduces es par");

    do{
        printf("\nIntroduce un número: ");
        scanf("%d", &num);
        
        suma=suma+num;

        contador++;

    } while (num%2==0);
    
    media=(float)suma/contador;
    printf("%f ",media);


}